#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.12.1
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		mimetreeparser
Summary:	mimetreeparser
Name:		ka6-%{kaname}
Version:	24.12.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	a9cd8438cd30b7c5e926d5f62b141b7a
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel
BuildRequires:	Qt6Gui-devel >= 6.6.1
BuildRequires:	Qt6PrintSupport-devel
BuildRequires:	Qt6Qml-devel
BuildRequires:	Qt6Quick-devel
BuildRequires:	Qt6Widgets-devel >= 6.6.1
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	gpgme-c++-devel >= 1.16.0
BuildRequires:	ka6-kmbox-devel >= %{version}
BuildRequires:	ka6-kmime-devel >= %{version}
BuildRequires:	ka6-libkleo-devel >= %{version}
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kcalendarcore-devel
BuildRequires:	kf6-kcodecs-devel
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kwidgetsaddons-devel
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libxkbcommon-devel >= 0.5.0
BuildRequires:	xz
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mime tree parser.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKPim6MimeTreeParserCore.so.*.*
%ghost %{_libdir}/libKPim6MimeTreeParserCore.so.6
%attr(755,root,root) %{_libdir}/libKPim6MimeTreeParserWidgets.so.*.*
%ghost %{_libdir}/libKPim6MimeTreeParserWidgets.so.6
%dir %{_libdir}/qt6/qml/org/kde/pim
%dir %{_libdir}/qt6/qml/org/kde/pim/mimetreeparser
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/MailViewer.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/libmimetreeparser_plugin.so
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/mimetreeparser_plugin.qmltypes
%dir %{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/AttachmentDelegate.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/Banner.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/ErrorPart.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/HtmlPart.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/ICalPart.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/MailPart.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/MailPartModel.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/MailPartView.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/private/TextPart.qml
%{_libdir}/qt6/qml/org/kde/pim/mimetreeparser/qmldir
%{_datadir}/qlogging-categories6/mimetreeparser.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPim6/MimeTreeParserCore
%{_includedir}/KPim6/MimeTreeParserWidgets
%{_libdir}/cmake/KPim6MimeTreeParserCore
%{_libdir}/cmake/KPim6MimeTreeParserWidgets
%{_libdir}/libKPim6MimeTreeParserCore.so
%{_libdir}/libKPim6MimeTreeParserWidgets.so
%{_libdir}/qt6/mkspecs/modules/qt_MimeTreeParserCore.pri
%{_libdir}/qt6/mkspecs/modules/qt_MimeTreeParserWidgets.pri
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-mimetreeparser.git;a=log;h=master

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 73bb282
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 20eb0a8
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d981fb1
- updated to 24.08.3

* Sat Nov 02 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bda3cb0
- relup

* Mon Oct 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> adbece8
- dir pim

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6cdaad3
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2e6ecf7
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 09cb058
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bacdfd4
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b2d20fe
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d63d00d
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5c729d8
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9cbb03a
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c075a01
- updated to 24.02.0

